# class DBus::Data::ObjectPath

See also {DBus::ObjectPath}

### Public Class Methods

alignment() click to toggle source

        # File lib/dbus/data.rb
    454 def self.alignment
    455   4
    456 end

from_raw(value, mode:) click to toggle source

        # File lib/dbus/data.rb
    469 def self.from_raw(value, mode:)
    470   if mode == :plain
    471     validate_raw!(value)
    472     return value
    473   end
    474
    475   new(value)
    476 end

size_class() click to toggle source

        # File lib/dbus/data.rb
    458 def self.size_class
    459   UInt32
    460 end

type_code() click to toggle source

        # File lib/dbus/data.rb
    450 def self.type_code
    451   "o"
    452 end

validate_raw!(value) click to toggle source

@raise `InvalidPacketException`

        # File lib/dbus/data.rb
    463 def self.validate_raw!(value)
    464   DBus::ObjectPath.new(value)
    465 rescue DBus::Error => e
    466   raise InvalidPacketException, e.message
    467 end